Generate a random AEGIS-128L key

- « sodium_crypto_aead_aegis128l_encrypt

- sodium_crypto_aead_aegis256_decrypt »

- PHP Manual
- Sodium Functions
- Generate a random AEGIS-128L key

# sodium_crypto_aead_aegis128l_keygen

(PHP 8 >= 8.4.0)

sodium_crypto_aead_aegis128l_keygen — Generate a random AEGIS-128L key

### Description

sodium_crypto_aead_aegis128l_keygen(): string

Generate a random key for use with sodium_crypto_aead_aegis128l_encrypt() and sodium_crypto_aead_aegis128l_decrypt().

### Parameters

This function has no parameters.

### Return Values

Returns a 128-bit random key.

### See Also

- sodium_crypto_aead_aegis128l_decrypt() - Verify then decrypt a message with AEGIS-128L
- sodium_crypto_aead_aegis128l_encrypt() - Encrypt then authenticate a message with AEGIS-128L